uk.gov.hmrc.play.fsm.JourneyController

# legacy

###
Related Doc: package JourneyController

#### object legacy

Legacy and deprecated stuff replaced by Actions DSL.

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. legacy
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### type ExpectedStates = PartialFunction[State, Unit]

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### final def hasState(expectedStates: ExpectedStates, stateAndBreadcrumbs: StateAndBreadcrumbs): Boolean

    Check if the expected state exists in the journey history (breadcrumbs).

    Check if the expected state exists in the journey history (breadcrumbs).

    Annotations
      @tailrec()

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### def toString(): String

    Definition Classes
      AnyRef → Any

18. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def whenAuthorisedWithBootstrapAndForm[User, Payload, T](bootstrap: Transition)(withAuthorised: WithAuthorised[User])(form: Form[Payload])(transition: (User) ⇒ (Payload) ⇒ Transition)(implicit rc: RequestContext, request: Request[_], ec: ExecutionContext): Future[Result]

    Apply two transitions in order: - first: simple transition - second: transition parametrized by an authorised user data and form output

### Deprecated Value Members

1. #### final def actionShowState(expectedStates: ExpectedStates)(implicit ec: ExecutionContext): Action[AnyContent]

   Annotations
     @deprecated
   Deprecated

     (Since version 0.71.0) Prefer DSL actions.show[ExpectedState]

2. #### final def actionShowStateWhenAuthorised[User](withAuthorised: WithAuthorised[User])(expectedStates: ExpectedStates)(implicit ec: ExecutionContext): Action[AnyContent]

   Annotations
     @deprecated
   Deprecated

     (Since version 0.72.0) Prefer DSL actions.whenAuthorised(withAuthorised).show[ExpectedState]

3. #### final def rollbackTo(expectedState: PartialFunction[State, Unit])(fallback: ⇒ Future[Result])(stateAndBreadcrumbsOpt: Option[StateAndBreadcrumbs])(implicit rc: RequestContext, request: Request[_], ec: ExecutionContext): Future[Result]

   Rollback journey state and history (breadcrumbs) back to the most recent state matching expectation.

   Rollback journey state and history (breadcrumbs) back to the most recent state matching expectation.

   Annotations
     @deprecated
   Deprecated

     (Since version 0.75.0) Prefer helpers.rollbackTo[S]

4. #### final def showState(expectedStates: ExpectedStates)(implicit rc: RequestContext, request: Request[_], ec: ExecutionContext): Future[Result]

   Display the state requested by the type parameter S.

   Display the state requested by the type parameter S. If the current state is not of type S, try rollback to the most recent state matching S, or redirect back to the root state.

   Annotations
     @deprecated
   Deprecated

     (Since version 0.75.0) Prefer helpers.showState[S]

5. #### final def showStateWhenAuthorised[User](withAuthorised: WithAuthorised[User])(expectedStates: ExpectedStates)(implicit rc: RequestContext, request: Request[_], ec: ExecutionContext): Future[Result]

   When user is authorized then render current state or rewind to the previous state matching expectation.

   When user is authorized then render current state or rewind to the previous state matching expectation.

   Annotations
     @deprecated
   Deprecated

     (Since version 0.72.0) Prefer DSL actions.whenAuthorised[User].show[ExpectedState]

6. #### final def whenAuthorised[User](withAuthorised: WithAuthorised[User])(transition: (User) ⇒ Transition)(outcomeFactory: OutcomeFactory)(implicit rc: RequestContext, request: Request[_], ec: ExecutionContext): Future[Result]

   Apply transition parametrized by an authorised user data.

   Apply transition parametrized by an authorised user data.

   Annotations
     @deprecated
   Deprecated

     (Since version 0.72.0) Prefer DSL actions.whenAuthorised[User].apply(transition)

7. #### final def whenAuthorisedWithForm[User, Payload](withAuthorised: WithAuthorised[User])(form: Form[Payload])(transition: (User) ⇒ (Payload) ⇒ Transition)(implicit rc: RequestContext, request: Request[_], ec: ExecutionContext): Future[Result]

   Apply transition parametrized by an authorised user data and form output.

   Apply transition parametrized by an authorised user data and form output.

   Annotations
     @deprecated
   Deprecated

     (Since version 0.72.0) Prefer DSL actions.whenAuthorised[User].bindForm(form).apply(transition)

### Inherited from AnyRef

### Inherited from Any

### Ungrouped